## RegenerateSCIMToken **post** `/gitpod.v1.OrganizationService/RegenerateSCIMToken` Regenerates the bearer token for a SCIM configuration. Use this method to: - Rotate SCIM credentials - Recover from token compromise - Update IdP configuration ### Examples - Regenerate token: Creates a new bearer token with the same expiration duration as the previous token. ```yaml scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" ``` - Regenerate token with new expiration: Creates a new bearer token with a custom 180-day expiration. ```yaml scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" tokenExpiresIn: "15552000s" ``` ### Body Parameters - `scimConfigurationId: string` scim_configuration_id is the ID of the SCIM configuration to regenerate token for - `tokenExpiresIn: optional string` token_expires_in is the duration until the new token expires. If not specified, uses the same duration as the previous token. ### Returns - `token: string` token is the new bearer token for SCIM API authentication. This invalidates the previous token - store it securely. - `tokenExpiresAt: string` token_expires_at is when the new token will expire ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/RegenerateSCIMToken \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "scimConfigurationId": "d2c94c27-3b76-4a42-b88c-95a85e392c68" }' ``` #### Response ```json { "token": "token", "tokenExpiresAt": "2019-12-27T18:11:19.117Z" } ```